<div class="search-bl">
  <div>
    <mat-form-field class="example-form-field" appearance="fill">
      <mat-label>Enter permit id</mat-label>
      <input matInput type="text" [(ngModel)]="permitCode">
      <button *ngIf="permitCode" matSuffix mat-icon-button aria-label="Clear" (click)="permitCode=''">
        <mat-icon>close</mat-icon>
      </button>
    </mat-form-field>
  </div>
  <div>OR</div>
  <div>
    <span>Scan QR code</span> <button class="btn-bl" (click)="search()" mat-raised-button color="primary">Check</button>
  </div>

</div>

<div *ngIf="transportPermit">
  <div class="title-bl">
    <div class="title-txt">{{transportPermit.permit.permitCode}}</div>
    <div class="title-txt">From: {{transportPermit.permit.countryCoupleYearPermitCount.firstCountry.name.en}}</div>
    <div class="title-txt">To: {{transportPermit.permit.countryCoupleYearPermitCount.secondCountry.name.en}}</div>

  </div>
  <div class="carrier-bl">
    <div class="card-bl" style="width: 46%">
      <h1>Carrier info</h1>
      <p>
        <span  style="margin-right: 50px">Carrier:</span><span>{{transportPermit.transport.carrier.organization}}</span>
      </p>
      <p>
        <span  style="margin-right: 50px">Country:</span><span>{{transportPermit.transport.carrier.country.name.en}}</span>
      </p>
      <p>
        <span  style="margin-right: 50px">City:</span><span>{{transportPermit.transport.carrier.city}}</span>
      </p>
      <p>
        <span  style="margin-right: 50px">Address:</span><span>{{transportPermit.transport.carrier.address}}</span>
      </p>
    </div>
    <div class="card-bl" style="width: 46%">
      <h1>Carrier info</h1>
      <p>
        <span  style="margin-right: 50px">Phone:</span><span>{{transportPermit.transport.carrier.contacts}}</span>
      </p>
      <p>
        <span  style="margin-right: 50px">Email:</span><span>{{transportPermit.transport.carrier.email}}</span>
      </p>
      <ng-container *ngIf="transportPermit.transport.carrier.additionalFieldValues">
        <p *ngFor="let additionalValue of transportPermit.transport.carrier.additionalFieldValues">
          <span  style="margin-right: 50px">{{additionalValue.fieldName}}:</span><span>{{additionalValue.fieldValue}}</span>
        </p>
      </ng-container>

    </div>
  </div>

  <div class="card-bl">
    <h1>Driver info</h1>
    <p>
      <span  style="margin-right: 50px">Name:</span><span>{{transportPermit.transport.driver}}</span>
    </p>
    <p>
      <span  style="margin-right: 50px">Driver license:</span><span>{{transportPermit.permit.permitCode}}</span>
    </p>
    <p>
      <span  style="margin-right: 50px">Vehicle:</span><span>{{transportPermit.transport.model}}</span>
    </p>
    <p>
      <span  style="margin-right: 50px">Number:</span><span>{{transportPermit.transport.governmentNumber}}</span>
    </p>
    <ng-container *ngIf="transportPermit.transport.additionalFieldValues">
      <p *ngFor="let additionalTValue of transportPermit.transport.additionalFieldValues">
        <span  style="margin-right: 50px">{{additionalTValue.fieldName}}:</span><span>{{additionalTValue.fieldValue}}</span>
      </p>
    </ng-container>
  </div>
</div>
